Win2k SP4 installation on cluster | SQL Server Performance Forums

SQL Server Performance Forum – Threads Archive

Win2k SP4 installation on cluster

Is there any special requirement (or procedure) for installing Win2k SP4 on SQL2k failover cluster apart from pausing node and moving all groups to active node? Thanks!

Refer thru readme.html file for more information.
And basically refer thru this KBAhttp://support.microsoft.com/default.aspx?scid=kb;en-us;Q254321 for do’s and dont’s on SQL cluster. HTH _________
Satya SKJ
Moderator
SQL-Server-Performance.Com

That doc clearly states that pausing node and moving groups is enough for Win SP installation – so thanks for your help in confirming that; that is exactly what I was looking for. Regards,
Dan
quote:Originally posted by satya Refer thru readme.html file for more information.
And basically refer thru this KBAhttp://support.microsoft.com/default.aspx?scid=kb;en-us;Q254321 for do’s and dont’s on SQL cluster. HTH _________
Satya SKJ
Moderator
SQL-Server-Performance.Com

Then thats it, other than following the above kBA you will be fine in applying SP. _________
Satya SKJ
Moderator
SQL-Server-Performance.Com

I have a question here though. If you have SQL 2000 installed you have MDAC 2.6 or higher (up to 2.7 SP1 with SQL 2000 SP3) I know Windows 2000 SP3 install MDAC 2.5 SP3. What MDAC do Windows SP4 install and will there be a conflict with the existing version? Or is MDAC smart now adays and doesn’t install over a newer version? /Argyle
I don’t think there will be a problem, although I haven’t had any with SP4.
It has introduced a newer mdac 2.5 sp3 file. The file in question has a different checksum, yet the same version number. Anyway for the production upgrades its advised to do a seperate test upgrade and to be certain. _________
Satya SKJ
Moderator
SQL-Server-Performance.Com

Here is rule of thumb: The higher version of MDAC remains on the server if any service pack or hotfix is applied that has lower version. FYI: The Win2k SP4 has MDAC 2.5 SP3 with Ms02-065 hot fix included. So if your server has MDAC 2.6 or above then applyting service pack 4 will not bring down the MDAC version. In essence it will remain 2.6 or higher whatever u have on the machine. I hope that helps
I think there was an issue while applying Windows 2K adv. server SP4 with regard to the MDAC replacement. I’d seen this issue at our end and MS suggested to re-install MDAC 2.6 and required SPs. Satya SKJ
Moderator
http://www.SQL-Server-Performance.Com/forum
This posting is provided “AS IS” with no rights for the sake of knowledge sharing.
]]>

Software Reviews | Book Reviews | FAQs | Tips | Articles | Performance Tuning | Audit | BI | Clustering | Developer | Reporting | DBA | ASP.NET Ado | Views tips | | Developer FAQs | Replication Tips | OS Tips | Misc Tips | Index Tuning Tips | Hints Tips | High Availability Tips | Hardware Tips | ETL Tips | Components Tips | Configuration Tips | App Dev Tips | OLAP Tips | Admin Tips | Software Reviews | Error | Clustering FAQs | Performance Tuning FAQs | DBA FAQs |